<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Navigation</title>
 
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;
            font-size: 1.1em;

        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        nav {
            position: fixed;
            width: 50px;
            height: 100%;
            background: rgb(39, 80, 212);
            cursor: pointer;
            transition: 2s;
            opacity: 90%;
            overflow: hidden;
    

        }

        main {
            margin-left: 55px;
        }

        nav >.nav-item {
            margin-left: 55px;
            color: whitesmoke;
            width: 300px;
            font-weight: bold;
        }

        #iconContainer {
            widows: 24px;
            height: 24px;
            margin-left: 13px;
            margin-top: 13px;
            color: whitesmoke;
    
        }
    </style>
  
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons"
   rel="stylesheet">

</head>


<body>
    <nav >
        <div id="iconContainer" onclick="toggleMenu()">
            <i class="material-icons">menu</i>
        </div>
        <div class="nav-item">
            Menu Item 1
        </div>
        <div class="nav-item">
            Menu Item 2
        </div>
        <div class="nav-item">
            Menu Item 3
        </div>

    </nav>
    <main>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, laboriosam. Earum doloribus quia animi hic
            distinctio a dolorum rem minima illo itaque et reiciendis praesentium facilis facere, vel culpa delectus?

        </p>
    </main>

    <script>
        let isMenuOpen = false;

        function toggleMenu() {
            if (!isMenuOpen) {
                document.querySelector("nav").style.width = "100%";
                document.querySelector("#iconContainer").innerHTML = '<i class="material-icons">close</i>';
                isMenuOpen = true;
            }
            else {
                document.querySelector("nav").style.width = "50px";
                document.querySelector("#iconContainer").innerHTML = '<i class="material-icons">menu</i>';
                isMenuOpen = false;
            }


        }



    </script>

</body>

</html>